﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace FLY.HeatingHelper.UI.UIModule
{
    /// <summary>
    /// UC_HeatBoltAnalyst.xaml 的交互逻辑
    /// </summary>
    public partial class UC_HeatBoltAnalyst : UserControl
    {
        public UC_HeatBoltAnalyst()
        {
            InitializeComponent();
        }

        UC_HeatBoltAnalystViewModel vm;
        public void Init(object dat)
        {
            vm = new UC_HeatBoltAnalystViewModel(dat as IThickHeatData);
            vm.Loaded(dat);

            DataContext = vm;
        }

        private void UserControl_Loaded(object sender, RoutedEventArgs e)
        {
            if (vm is null) return;
            vm.Loaded(sender);
        }

        private void UserControl_Unloaded(object sender, RoutedEventArgs e)
        {
            if (vm is null) return;
            vm.UnLoaded(sender);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            vm.Wrap_SearchFeaturedBoltsItems();
        }

        private void Lv_result_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ListView lv = sender as ListView;
            HeatBoltAnalystItem dat = lv.SelectedItem as HeatBoltAnalystItem;
            if (dat is null)
            {
                return;
            }
            vm.SetFrameIdx1(dat.FrameIdx1);
            vm.SetFrameIdx2(dat.FrameIdx2);
        }
    }
}
